import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ReactiveFormsModule } from '@angular/forms';

import { MatExpansionModule } from '@angular/material/expansion';

import { TreeComponent } from './components/tree.component';

const COMPONENTS = [TreeComponent];
const SERVICES = [];

@NgModule({
  imports: [CommonModule, ReactiveFormsModule, MatExpansionModule],
  exports: [...COMPONENTS],
  declarations: [...COMPONENTS]
})
export class UCapUiOrganizationModule {
  public static forRoot(): ModuleWithProviders<UCapUiOrganizationModule> {
    return {
      ngModule: UCapUiOrganizationModule,
      providers: [...SERVICES]
    };
  }
}
